#include "stdafx.h"
#include <windows.h>
#include <tchar.h>
#include <stdlib.h>
#include "CommRoutine.h"
#include "Config.h"

CConfig::CConfig()
{
	m_iDelayTime = 0;
	m_bCustomFormat = FALSE;
	m_fontColor = RGB(0,255,0);
	m_fontSize = 36;
	m_bAutoChangeFontSize = TRUE;
}

CConfig::~CConfig()
{
}

void CConfig::Read(TCHAR *pFileName)
{
	TCHAR str[1024] = {0};

	GetPrivateProfileString(
		_T("CONFIG"),
		_T("DelayTime"),
		_T("1300"),
		str,
		1024,
		pFileName
		);

	m_iDelayTime = _tstoi(str);

	DbgString(DBG_PREFIX _T("DelayTime = %d\n"), m_iDelayTime);

	//UseCustonFormat
	GetPrivateProfileString(
		_T("CONFIG"),
		_T("UseCustomFormat"),
		_T("0"),
		str,
		1024,
		pFileName
		);

	m_bCustomFormat = (BOOL)(_tstoi(str));

	DbgString(DBG_PREFIX _T("CustomFormat = %d\n"), m_bCustomFormat);

	if(m_bCustomFormat) {
		GetPrivateProfileString(
			_T("CustomFormat"),
			_T("BaseFontSize"),
			_T("36"),
			str,
			1024,
			pFileName
			);

		m_fontSize = _tstoi(str);

		GetPrivateProfileString(
			_T("CustomFormat"),
			_T("AutoChangeFontSize"),
			_T("1"),
			str,
			1024,
			pFileName
			);

		m_bAutoChangeFontSize = (BOOL)(_tstoi(str));

		GetPrivateProfileString(
			_T("CustomFormat"),
			_T("BaseFontColor"),
			_T("255,255,255"),
			str,
			1024,
			pFileName
			);

		int r,g,b;
		_stscanf_s(str, L"%d,%d,%d", &r, &g, &b);

		m_fontColor = RGB(r,g,b);
	}
}